RNAlib-2.2.9

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Data Structures | Macros | Typedefs | Functions | Variables
subopt.h File Reference
RNA Secondary Structure Prediction » Enumerating Suboptimal Structures

RNAsubopt and density of states declarations. More...

Include dependency graph for subopt.h:

Go to the source code of this file.

## Data Structures
struct | vrna_subopt_sol_s
| Solution element from subopt.c. More...

## Macros
#define | MAXDOS 1000
| Maximum density of states discretization for subopt.

## Typedefs
typedef struct vrna_subopt_sol_s | vrna_subopt_solution_t
| Typename for the subopt solution list repesenting data structure vrna_subopt_sol_s.
typedef void( | vrna_subopt_callback) (const char *stucture, float energy, void *data)
| Callback for vrna_subopt_cb()
typedef struct vrna_subopt_sol_s | SOLUTION
| Backward compatibility typedef for vrna_subopt_sol_s. More...

## Functions
vrna_subopt_solution_t * | vrna_subopt (vrna_fold_compound_t *vc, int delta, int sorted, FILE *fp)
| Returns list of subopt structures or writes to fp. More...
void | vrna_subopt_cb (vrna_fold_compound_t *vc, int delta, vrna_subopt_callback *cb, void *data)
| Generate suboptimal structures within an energy band arround the MFE. More...
vrna_subopt_solution_t * | vrna_subopt_zuker (vrna_fold_compound_t *vc)
| Compute Zuker type suboptimal structures. More...
SOLUTION * | subopt (char *seq, char *structure, int delta, FILE *fp)
| Returns list of subopt structures or writes to fp. More...
SOLUTION * | subopt_par (char *seq, char *structure, vrna_param_t *parameters, int delta, int is_constrained, int is_circular, FILE *fp)
| Returns list of subopt structures or writes to fp.
SOLUTION * | subopt_circ (char *seq, char *sequence, int delta, FILE *fp)
| Returns list of circular subopt structures or writes to fp. More...
SOLUTION * | zukersubopt (const char *string)
| Compute Zuker type suboptimal structures. More...
SOLUTION * | zukersubopt_par (const char *string, vrna_param_t *parameters)
| Compute Zuker type suboptimal structures. More...

## Variables
double | print_energy
| printing threshold for use with logML
int | subopt_sorted
| Sort output by energy.
int | density_of_states [MAXDOS+1]
| The Density of States. More...

## Detailed Description

RNAsubopt and density of states declarations.

## Typedef Documentation

typedef struct vrna_subopt_sol_s SOLUTION

Backward compatibility typedef for vrna_subopt_sol_s.

Deprecated:
  Use vrna_subopt_solution_t instead!